getShippingMethods
READGet shipping methods.
POST /api/v1/inventory/getShippingMethods
curl -X POST '<your-host>/api/v1/inventory/getShippingMethods' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"active": true,
"carrier": "Other",
"carrierAccountId": "string",
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"customFields": "…",
"id": "string",
"name": "string",
"tags": [
"string"
],
"trackingUrl": "string",
"updatedAt": "string",
"updatedBy": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
}
}
}
}
}